Bug#931169: hfst: add Breaks: libhfst45-dev for smoother upgrades from stretch

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#931169: hfst: add Breaks: libhfst45-dev for smoother upgrades from stretch

Andreas Beckmann-4
Package: hfst
Version: 3.15.0-1
Severity: serious
Tags: patch
User: [hidden email]
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package failed to properly
upgrade from stretch. In some cases the old hfst package from stretch is
kept installed in order to keep the obsolete libhfst45-dev installed.
apt does not upgrade from virtual packages to real packages.

A better solution would have been to re-introduce a libhfst45-dev
transitional package, but it's probably too late to do this in a buster
point release. Adding the Breaks should be easy in a buster point
release.


Andreas

hfst_3.15.0-1.1.dsc.diff (1K) Download Attachment
libhfst45-dev_None.log.gz (26K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#931169: hfst: add Breaks: libhfst45-dev for smoother upgrades from stretch

Andreas Beckmann-4
Followup-For: Bug #931169
Control: tag -1 pending

Hi,

I just uploaded my patch as a NMU to DELAYED/10.
I'm planning to rebuild that package for buster to get the upgrade
problem fixed there in the next point release.

Andreas